extends Sprite

var _timer:float

# ゴーストエフェクト開始
func start(_position:Vector2, _scale:Vector2, _frame:int, _flip_h:bool):
	position = _position
	scale = _scale
	frame = _frame
	flip_h = _flip_h
	_timer = 1.0

func _process(delta: float) -> void:
	_timer -= delta
	if _timer <= 0:
		# タイマー終了で消える
		queue_free()

	var alpha = _timer * 0.5
	modulate.a = alpha
